/**
 * optFileWriter.h
 *
 * a class to write graphopt files
 */

#ifndef __OPTFILEWRITER_H__
#define __OPTFILEWRITER_H__

#include <fstream>
#include "nodes.h"

class optFileWriter {

    public:
        optFileWriter(char *what_file, nodes *what_nodes); 
        void write(); 

    private:
        std::string filename;
        nodes *my_nodes;

        void write_nodes(std::ofstream &outfile);
};


#endif
